Bug 725381 - (CVE-2011-2642) CVE-2011-2642 phpMyAdmin: v3.3.10.3, v3.4.3.2: XSS in table Print view (PMASA-2011-9)
CVE-2011-2642 phpMyAdmin: v3.3.10.3, v3.4.3.2: XSS in table Print view (PMASA...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110723,reported=20110724,sou...
: Security
Depends On: 725385
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 06:55 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 11:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-25 06:55:53 EDT
An cross-site scripting (XSS) flaw was found in the way phpMyAdmin, the MySQL over WWW administration tool, displayed table names in multi tables printview. A remote attacker, able to create a particular table on the victim's server, could provide a specially-crafted URL, which once visited by valid phpMyAdmin user could lead to arbitrary JavaScript code execution.

References:
[1] http://www.phpmyadmin.net/home_page/security/PMASA-2011-9.php
[2] http://www.phpmyadmin.net/home_page/news.php

Upstream patches:
[3] http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=a0823be05aa5835f207c0838b9cca67d2d9a050a
[4] http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=4bd27166c314faa37cada91533b86377f4d4d214
[5] http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=8ac8328229ae7493d6060b6272578d85879c698d
    (against the 3.3 branch)
Comment 1 Jan Lieskovsky 2011-07-25 06:57:23 EDT
This issue affects the versions of the phpMyAdmin package, as shipped with Fedora release of 14 and 15. 

--

This issue affects the versions of the phpMyAdmin package, as present within EPEL-6, EPEL-5 and EPEL-4 repositories.

Please schedule an update.
Comment 2 Jan Lieskovsky 2011-07-25 07:03:52 EDT
Created phpMyAdmin tracking bugs for this issue

Affects: fedora-all [bug 725385]

Note You need to log in before you can comment on or make changes to this bug.